import { Component, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class SpinnerComponent {
    constructor() {
        this.display = false;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
SpinnerComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng-spinner',
                template: `
    <div [hidden]="!display">
      <div id="overlay">
        <div id="text">
          <i class="fa fa-spinner fa-pulse fa-3x fa-fw"></i>
          <span class="sr-only">Loading</span>
        </div>
      </div>
    </div>
  `,
                styles: [`
    #overlay {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        display:table;
        background: rgba(0, 0, 0, 0.5);
        z-index: 99999;
    }

    #text{
        display:table-cell;
        vertical-align:middle;
        text-align:center;
    }
  `]
            },] },
];
/**
 * @nocollapse
 */
SpinnerComponent.ctorParameters = () => [];
SpinnerComponent.propDecorators = {
    'display': [{ type: Input },],
};

class SpinnerModule {
}
SpinnerModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule
                ],
                declarations: [SpinnerComponent],
                exports: [SpinnerComponent]
            },] },
];
/**
 * @nocollapse
 */
SpinnerModule.ctorParameters = () => [];

/**
 * Generated bundle index. Do not edit.
 */

export { SpinnerModule, SpinnerComponent as ɵa };
//# sourceMappingURL=ng-spinner.js.map
